{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block head %}
<title>VAGA - {{vaga.title}} - Gorilla Insight</title>
<meta property="og:title" content="VAGA - {{vaga.title}} - Gorilla Insight" />
<meta name="description" content="{{vaga.description}}">
<meta property="og:description" content="{{vaga.description}}" />
<meta property="og:image" itemprop="image" content="{{vaga.image.url}}">
<meta property="og:type" content="website" />
{% endblock %}
{% block content %}
<section>
    <div class="container">
        <div class="card p-3 my-5">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{vaga.image.url}}" class="img-thumbnail" width="100%" alt="{{vaga.title}} logo">
                </div>
                <div class="col-md-8">
                    <h1>
                        {{vaga.title}}
                    </h1>
                    <p>{{vaga.description}}</p>
                </div>
            </div>
            
            <div class="mt-4 d-grid gap-2 col-md-6 mx-auto">
                <!-- <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample"> -->
                    <!-- </button> -->
                </div>
                <h4 class="text-center"> Preencher currículo</h4>
            <hr>
            <div class="px-md-5 mt-3">
                <form action="" method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    {{ form|crispy }}
                    <div class="py-3">
                        <input type="checkbox" name="termos" id="termos" required>
                        <label for="termos">Li e aceito os <a target="_blank" href="/seletivo/politica-de-privacidade"> termos de uso.</a></label>
                    </div>
                    <div class="d-grid gap-2 col-6 mx-auto">
                        <button type="submit" class="btn btn-primary btn-block btn-lg">Cadastrar</button>
                    </div>
                </form>
            </div>
            </div>

        </div> 
    </div>
</section>
<script src="//unpkg.com/vanilla-masker@1.1.1/build/vanilla-masker.min.js">

</script>
<script>
    VMasker(document.querySelector("#id_phone_number")).maskPattern("(99) 99999-9999")
    document.querySelector("#id_phone_number").setAttribute("placeholder", "(99) 99999-9999")
    VMasker(document.querySelector("#id_postal_code")).maskPattern("99999-999")
    document.querySelector("#id_postal_code").setAttribute("type", "tel")
    document.querySelector("#id_postal_code").setAttribute("placeholder", "00000-000")

    var dateInputs = document.querySelectorAll('.dateinput')
    console.log(dateInputs)
    for(dateInput of dateInputs){
        dateInput.setAttribute("type", "date")
    }
    var fileInputs = document.querySelectorAll('.clearablefileinput')
    for(fileInput of fileInputs){
        fileInput.classList.add('form-control')
    }
</script>

{% include 'partials/_footer.html' %}
{% endblock %}